Gtk2::Gdk::Screen(3)

NAME
Gtk2::Gdk::Screen

HIERARCHY
  Glib::Object
  +----Gtk2::Gdk::Screen

METHODS

  $screen->broadcast_client_message ($event)

    * $event (Gtk2::Gdk::Event)

  colormap = $screen->get_default_colormap

  $screen->set_default_colormap ($colormap)
    * $colormap (Gtk2::Gdk::Colormap)

  screen or undef = Gtk2::Gdk::Screen->get_default

  display = $screen->get_display

  integer = $screen->get_height

  integer = $screen->get_height_mm

  list = $screen->list_visuals
    Returns a list of Gtk2::Gdk::Visual's.

  string = $screen->make_display_name

  integer = $screen->get_monitor_at_point ($x, $y)

    * $x (integer)
    * $y (integer)

  integer = $screen->get_monitor_at_window ($window)

    * $window (Gtk2::Gdk::Window)

  rectangle = $screen->get_monitor_geometry ($monitor_num)
    * $monitor_num (integer)

  integer = $screen->get_n_monitors

  integer = $screen->get_number

  colormap = $screen->get_rgb_colormap

  visual = $screen->get_rgb_visual

  colormap or undef = $screen->get_rgba_colormap

  visual or undef = $screen->get_rgba_visual

  window = $screen->get_root_window

  integer = $screen->get_screen_number

  scalar = $screen->get_setting ($name)

    * $name (string)

  boolean = $screen->supports_net_wm_hint ($property)
    * $property (Gtk2::Gdk::Atom)

  colormap = $screen->get_system_colormap

  visual = $screen->get_system_visual

  list = $screen->get_toplevel_windows
    Returns a list of Gtk2::Gdk::Window's.

  integer = $screen->get_width

  integer = $screen->get_width_mm

  string = $screen->get_window_manager_name

SIGNALS

size-changed (Gtk2::Gdk::Screen)

SEE ALSO
Gtk2, Glib::Object

COPYRIGHT
Copyright (C) 2003-2005 by the gtk2-perl team.

This software is licensed under the LGPL. See Gtk2 for a full notice.